<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<liferay-ui:error-marker
	key="<%= WebKeys.ERROR_SECTION %>"
	value="basic-settings"
/>

<aui:model-context bean="<%= layoutsAdminDisplayContext.getSelLayout() %>" model="<%= Layout.class %>" />

<%
LayoutLookAndFeelDisplayContext layoutLookAndFeelDisplayContext = new LayoutLookAndFeelDisplayContext(request, layoutsAdminDisplayContext, liferayPortletResponse);
%>

<div>
	<react:component
		module="js/layout/look_and_feel/Favicon"
		props="<%= layoutsAdminDisplayContext.getFaviconButtonProps() %>"
	/>
</div>

<div class="d-flex">
	<c:if test="<%= layoutLookAndFeelDisplayContext.hasEditableMasterLayout() %>">
		<div class="c-mr-4 flex-grow-1">
			<react:component
				module="js/layout/look_and_feel/MasterLayoutConfiguration"
				props="<%= layoutLookAndFeelDisplayContext.getMasterLayoutConfigurationProps() %>"
			/>
		</div>
	</c:if>

	<div class="flex-grow-1">
		<react:component
			module="js/layout/look_and_feel/StyleBookConfiguration"
			props="<%= layoutLookAndFeelDisplayContext.getStyleBookConfigurationProps() %>"
		/>
	</div>
</div>